aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/matplotlib/ChangeLog10
-rw-r--r--dev-python/matplotlib/Manifest4
-rw-r--r--dev-python/matplotlib/files/digest-matplotlib-0.87.32
-rw-r--r--dev-python/matplotlib/matplotlib-0.87.3.ebuild63
4 files changed, 76 insertions, 3 deletions
diff --git a/dev-python/matplotlib/ChangeLog b/dev-python/matplotlib/ChangeLog
index 3fa4cb515..5bf8e257c 100644
--- a/dev-python/matplotlib/ChangeLog
+++ b/dev-python/matplotlib/ChangeLog
@@ -2,14 +2,20 @@
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*matplotlib-0.87.3 (30 May 2006)
+
+ 09 Jun 2006; Sebastien Fabbro <seb@ist.utl.pt>
+ +matplotlib-0.87.3.ebuild,
+ Version bump. Removed mplot3d since it is now included.
+
*matplotlib-0.87.2-r2 (30 May 2006)
30 May 2006; Sebastien Fabbro <seb@ist.utl.pt>
+matplotlib-0.87.2-r2.ebuild,
+files/matplotlib-mplot3d.patch
+metadata.xml
- added 3d support, agg support, wxwindow support, swap numpy/numeric order check,
- and added a doc flag which fetches and installs user guide.
+ added 3d support, agg support, wxwindow support, swap numpy/numeric
+ order check, and added a doc flag which fetches and installs user guide.
*matplotlib-0.87.2 (04 Apr 2006)
*matplotlib-0.86.2-r1 (04 Apr 2006)
diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index c59ea019b..726567ed2 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -1,6 +1,8 @@
-MD5 bdabc2e7127281c149ddf332c8d1f4bc ChangeLog 4550
+MD5 7e454f86703b53774d5659d869060aa1 ChangeLog 4723
MD5 164457a27c959174cc2933d826190f3d files/digest-matplotlib-0.87.2-r2 192
+MD5 d991983ef0a99fde8e19c6681a1c7906 files/digest-matplotlib-0.87.3 138
MD5 bf815cadfdb2159e83dffd0862545458 files/matplotlib-0.87.2-no-autodetect.patch 1817
MD5 802d475da9c3232949f87351fd10847b files/matplotlib-mplot3d.patch 918
MD5 891d047cce95525816177ea762d2b5cb matplotlib-0.87.2-r2.ebuild 1873
+MD5 459d24dd90d7d3d51c9850ac73049103 matplotlib-0.87.3.ebuild 1546
MD5 7d1fbbf5496138b3b2f2f07ec757fecb metadata.xml 428
diff --git a/dev-python/matplotlib/files/digest-matplotlib-0.87.3 b/dev-python/matplotlib/files/digest-matplotlib-0.87.3
new file mode 100644
index 000000000..f7e985465
--- /dev/null
+++ b/dev-python/matplotlib/files/digest-matplotlib-0.87.3
@@ -0,0 +1,2 @@
+MD5 9e961e90be07701ab6a99aa8cdc6b831 matplotlib-0.87.3.tar.gz 2693700
+MD5 bcc272707e7db06b8a3aab36c6317e03 users_guide_0.87.1.pdf 4675932
diff --git a/dev-python/matplotlib/matplotlib-0.87.3.ebuild b/dev-python/matplotlib/matplotlib-0.87.3.ebuild
new file mode 100644
index 000000000..535a889ee
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-0.87.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit distutils python
+
+DESCRIPTION="Python plotting library with Matlab like syntax"
+HOMEPAGE="http://matplotlib.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
+ doc? http://matplotlib.sourceforge.net/users_guide_0.87.1.pdf"
+
+IUSE="doc gtk tcltk wxwindows agg"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+LICENSE="PYTHON"
+
+DEPEND="virtual/python
+ || (
+ dev-python/numpy
+ dev-python/numarray
+ >=dev-python/numeric-22
+ )
+ >=media-libs/freetype-2.1.7
+ media-libs/libpng
+ sys-libs/zlib
+ gtk? ( >=dev-python/pygtk-1.99.16 )
+ wxwindows? ( dev-python/wxpython )
+ dev-python/pytz
+ dev-python/python-dateutil
+ agg? ( x11-libs/agg )"
+
+pkg_setup() {
+ if use tcltk; then
+ python_tkinter_exists
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+
+ cd "${S}"
+
+ # disable autodetection, rely on USE instead
+ epatch "${FILESDIR}/${PN}-0.87.2-no-autodetect.patch"
+ sed -i \
+ -e "/^BUILD_GTK/s/'auto'/$(use gtk && echo 1 || echo 0)/g" \
+ -e "/^BUILD_WX/s/'auto'/$(use wxwindows && echo 1 || echo 0)/g" \
+ -e "/^BUILD_TK/s/'auto'/$(use tcltk && echo 1 || echo 0)/g" \
+ -e "/^BUILD_AGG/s/'auto'/$(use agg && echo 1 || echo 0)/g" \
+ setup.py
+}
+
+src_install() {
+ distutils_src_install
+ if use doc ; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.py examples/README
+ insinto /usr/share/doc/${PF}/examples/data
+ doins examples/data/*.dat
+ insinto /usr/share/doc/${PF}/
+ doins ${DISTDIR}/users_guide_*.pdf
+ fi
+}